### Method

# GtkSource Snippet set_trigger

#### Declaration [src]

    void
    gtk_source_snippet_set_trigger (
      GtkSourceSnippet* snippet,
      const gchar* trigger
    )

#### Description [src]

Sets the trigger for the snippet.

Sets property | `GtkSource.Snippet:trigger`

#### Parameters

`trigger`

  Type: `const gchar*`

  The trigger word.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.